Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.cc	(revision 10765)
@@ -90,6 +90,6 @@
         RegisterObject(TowerDefense);
 
-        selecter = NULL;
-        this->player_ = NULL;        
+        selecter = nullptr;
+        this->player_ = nullptr;
         this->setHUDTemplate("TowerDefenseHUD");
         this->waveNumber_ = 0;
@@ -117,7 +117,7 @@
     void TowerDefense::start()
     {        
-        if (center_ != NULL) // There needs to be a TowerDefenseCenterpoint, i.e. the area the game takes place.
-        {
-            if (selecter == NULL)
+        if (center_ != nullptr) // There needs to be a TowerDefenseCenterpoint, i.e. the area the game takes place.
+        {
+            if (selecter == nullptr)
             {
                 selecter = new TowerDefenseSelecter(this->center_->getContext());                
@@ -176,5 +176,5 @@
         WaypointController* controller = (WaypointController*)(en1->getXMLController());
 
-        if (controller != NULL && waypoints_.size() > 1)
+        if (controller != nullptr && waypoints_.size() > 1)
         {
             en1->setPosition(waypoints_.at(0)->getPosition() + offset_);
@@ -208,5 +208,5 @@
         player_ = player;
 
-        if (selecter->getPlayer() == NULL)
+        if (selecter->getPlayer() == nullptr)
         {
             player_->startControl(selecter);
@@ -219,5 +219,5 @@
         Get the player.
     @return
-        Returns a pointer to the player. If there is no player, NULL is returned.
+        Returns a pointer to the player. If there is no player, nullptr is returned.
     */
     PlayerInfo* TowerDefense::getPlayer(void) const
@@ -265,5 +265,5 @@
         SUPER(TowerDefense, tick, dt);
 
-        if (hasStarted() == false || player_ == NULL)
+        if (hasStarted() == false || player_ == nullptr)
         {
             return;
@@ -273,5 +273,5 @@
 
         //build/upgrade tower at selecter position
-        if (selecter != NULL && selecter->buildTower_ == true)
+        if (selecter != nullptr && selecter->buildTower_ == true)
         {
             selecter->buildTower_ = false;
@@ -289,5 +289,5 @@
         for (std::list<WeakPtr<TowerDefenseEnemy> >::iterator it = enemies_.begin(); it != enemies_.end(); )
         {
-            if (*it == NULL)
+            if (*it == nullptr)
             {
                 // the enemy was destroyed by a tower - remove it from the list
@@ -365,5 +365,5 @@
         TDCoordinate* thisCoord = &startCoord;
         TDCoordinate* nextCoord;
-        while ((nextCoord = getNextStreetCoord(thisCoord)) != NULL)
+        while ((nextCoord = getNextStreetCoord(thisCoord)) != nullptr)
         {
             waypoints_.push_back(fields_[nextCoord->GetX()][nextCoord->GetY()]);            
@@ -381,5 +381,5 @@
         if (thisField->getType() != STREET && thisField->getType() != START)
         {
-            return NULL;
+            return nullptr;
         }
 
@@ -406,5 +406,5 @@
         }
 
-        return NULL;
+        return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 10765)
@@ -92,5 +92,5 @@
     void TowerDefenseCenterpoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(TowerDefense)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(TowerDefense)))
         {
             // Sets the centerpoint of the gametype. The gametype uses this to later spawn in towers, he needs the tower template stored in the center point
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.cc	(revision 10765)
@@ -47,5 +47,5 @@
     WeakPtr<TowerDefense> TowerDefenseEnemy::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
             for (ObjectList<TowerDefense>::iterator it = ObjectList<TowerDefense>::begin(); it != ObjectList<TowerDefense>::end(); ++it)
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.cc	(revision 10765)
@@ -49,7 +49,7 @@
         RegisterObject(TowerDefenseField);
 
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = FREE;
-        center_ = NULL;
+        center_ = nullptr;
         upgrade_ = 0;
         setPosition(0,0,0);                            
@@ -119,5 +119,5 @@
     bool TowerDefenseField::canUpgrade()
     {
-        if (tower_ != NULL && upgrade_ < 5)
+        if (tower_ != nullptr && upgrade_ < 5)
         {
             return true;
@@ -129,5 +129,5 @@
     void TowerDefenseField::setAngle(int newAngle)
     {
-        if (modelGround_ != NULL)
+        if (modelGround_ != nullptr)
         {
             switch (newAngle)
@@ -152,5 +152,5 @@
         }
 
-        if (modelObject_ != NULL)
+        if (modelObject_ != nullptr)
         {
             switch (newAngle)
@@ -185,5 +185,5 @@
     {            
         modelGround_->setMeshSource("TD_F1.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = FREE;
         setUpgrade(0);
@@ -194,5 +194,5 @@
     {      
         modelGround_->setMeshSource("TD_S5.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = START;
         setUpgrade(0);
@@ -204,5 +204,5 @@
     {     
         modelGround_->setMeshSource("TD_S4.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = END;
         setUpgrade(0);
@@ -213,5 +213,5 @@
     {      
         modelGround_->setMeshSource("TD_S1.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = STREET;
         setUpgrade(0);
@@ -222,5 +222,5 @@
     {     
         modelGround_->setMeshSource("TD_S2.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = STREET;
         setUpgrade(0);
@@ -231,5 +231,5 @@
     {    
         modelGround_->setMeshSource("TD_S3.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = STREET;
         setUpgrade(0);
@@ -241,5 +241,5 @@
         modelGround_->setMeshSource("TD_F1.mesh");
         modelObject_->setMeshSource("TD_O1.mesh");
-        tower_ = NULL;
+        tower_ = nullptr;
         type_ = OBSTACLE;
         setUpgrade(0);
@@ -249,5 +249,5 @@
     void TowerDefenseField::createTower(int upgrade)
     {        
-        if (tower_ == NULL)
+        if (tower_ == nullptr)
         {
             modelGround_->setMeshSource("TD_F1.mesh");
@@ -256,5 +256,5 @@
             type_ = TOWER;
             setUpgrade(upgrade);
-            if (upgrade_ > 0 && modelObject_ != NULL)
+            if (upgrade_ > 0 && modelObject_ != nullptr)
             {
                 switch (upgrade_)
@@ -287,8 +287,8 @@
     void TowerDefenseField::destroyTower()
     {
-        if (tower_ != NULL)
+        if (tower_ != nullptr)
         {
             tower_->destroy();
-            tower_ = NULL;
+            tower_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseTower.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseTower.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseTower.cc	(revision 10765)
@@ -25,5 +25,5 @@
     {
         RegisterObject(TowerDefenseTower);
-        game_ =NULL;
+        game_ =nullptr;
         this->setCollisionType(WorldEntity::None);
         upgrade = 1;
